Get Event
curl --request GET \
--url https://api.example.com/events/{event_id}import requests
url = "https://api.example.com/events/{event_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sequence_id": 123,
"task_id": "<string>",
"agent_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"content": {
"content": "<string>",
"type": "text",
"style": "static",
"format": "plain",
"attachments": [
{
"file_id": "<string>",
"name": "<string>",
"size": 123,
"type": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Events
Get Event
GET
/
events
/
{event_id}
Get Event
Path Parameters
Response
Successful Response
The UUID of the event
The sequence ID of the event
The UUID of the task that the event belongs to
The UUID of the agent that the event belongs to
The timestamp of the event
The content of the event
- TextContent
- ReasoningContent
- DataContent
- ToolRequestContent
- ToolResponseContent
Show child attributes
Show child attributes
⌘I

